Bug 837723 - SELinux is preventing /usr/bin/who from using the 'signull' accesses on a process.
SELinux is preventing /usr/bin/who from using the 'signull' accesses on a pro...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
abrt_hash:9095b4d4c8e6da1e63f9cf45178...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 21:17 EDT by nordaux
Modified: 2012-07-09 20:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 20:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nordaux 2012-07-04 21:17:31 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-3.fc17.x86_64
time:           Thu 05 Jul 2012 04:14:43 AM EEST

description:
:SELinux is preventing /usr/bin/who from using the 'signull' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that who should be allowed signull access on processes labeled local_login_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep who /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:fsdaemon_t:s0
:Target Context                system_u:system_r:local_login_t:s0-s0:c0.c1023
:Target Objects                 [ process ]
:Source                        who
:Source Path                   /usr/bin/who
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           coreutils-8.15-6.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-3.fc17.x86_64 #1 SMP Tue Jun
:                              26 20:54:56 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Wed 04 Jul 2012 05:03:53 AM EEST
:Last Seen                     Wed 04 Jul 2012 05:03:55 AM EEST
:Local ID                      33040f11-c9fd-4f19-b3d5-7afc8ef077de
:
:Raw Audit Messages
:type=AVC msg=audit(1341367435.250:671): avc:  denied  { signull } for  pid=788 comm="who" scontext=system_u:system_r:fsdaemon_t:s0 tcontext=system_u:system_r:local_login_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1341367435.250:671): arch=x86_64 syscall=kill success=no exit=EACCES a0=7e00 a1=0 a2=0 a3=8 items=0 ppid=787 pid=788 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=who exe=/usr/bin/who subj=system_u:system_r:fsdaemon_t:s0 key=(null)
:
:Hash: who,fsdaemon_t,local_login_t,process,signull
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-09 02:00:05 EDT
How does the command look?
Comment 2 nordaux 2012-07-09 20:12:25 EDT
The bug had gone with updates after 2012-07-04.

Note You need to log in before you can comment on or make changes to this bug.